# Uses of Interface
org.xnio.Cancellable

Packages that use Cancellable
Package
Description
org.xnio
The main API package for XNIO.

## Uses of Cancellable in org.xnio

Subinterfaces of Cancellable in org.xnio
Modifier and Type
Interface
Description
`interface`
`IoFuture<T>`
The future result of an asynchronous request.
Classes in org.xnio that implement Cancellable
Modifier and Type
Class
Description
`class`
`AbstractConvertingIoFuture<T,D>`
An `IoFuture` implementation that wraps a different type of `IoFuture`.
`class`
`AbstractIoFuture<T>`
An abstract base class for `IoFuture` objects.
`class`
`FailedIoFuture<T>`
An implementation of `IoFuture` that represents an immediately-failed operation.
`class`
`FinishedIoFuture<T>`
An implementation of `IoFuture` that represents an immediately-successful operation.
Methods in org.xnio that return Cancellable
Modifier and Type
Method
Description
`Cancellable`
Cancellable.`cancel()`
Cancel an operation.
`static Cancellable`
IoUtils.`closingCancellable(Closeable c)`
A cancellable which closes the given resource on cancel.
`static Cancellable`
IoUtils.`nullCancellable()`
Get the null cancellable.
Methods in org.xnio with parameters of type Cancellable
Modifier and Type
Method
Description
`protected void`
AbstractIoFuture.`addCancelHandler(Cancellable cancellable)`
Add a cancellation handler.
`void`
FutureResult.`addCancelHandler(Cancellable cancellable)`
Add a cancellation handler.